@charset "UTF-8";
/* CSS Document */ :root {
  --dark-blue: #1D417F;
  --light-blue: #0C8CC8;
  --normal: 400;
  --medium: 500;
  --semi-bold: 600;
  --bold: 700;
}
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  list-style: none;
}
html {
	scroll-behavior: smooth;
}
body {
	font-family: "Poppins", sans-serif;
  font-weight: 400;
  font-style: normal;
  font-size: 16px;
}
h2 {
  font-size: 50px;
  color: var(--dark-blue);
  font-weight: 600;
  margin-bottom: 20px;
	line-height: 50px;
}
.main-wrapper {
  width: 96%;
  max-width: 1200px;
  margin: 0 auto;
}
.content-holder {
  width: 96%;
  max-width: 1200px;
  margin: 0 auto;
}
.header-wrapper {
  width: 100%;
  background: #fff;
  position: fixed;
  z-index: 10;
}
.header-holder {
        background: #ffffff;
        padding: 15px 0;
        display: flex;
        align-items: center;
        justify-content: space-between;
        border-bottom: 1px solid #ddd;
        position: relative;
}
.nav-holder {
  width: 100%;
}
.logo-holder {
  width: 15%;
  min-width: 150px;
}
.logo-holder img {
  width: 70%;
}
.nav-holder ul {
  display: flex;
  justify-content: flex-end;
  column-gap: 20px;
  align-items: center;
}
.nav-holder ul li {
  border-right: 1px solid #000;
  padding-right: 20px;
}
.nav-holder ul li a {
  display: block;
  color: #000;
  text-decoration: none;
}
.no-border {
  border: none !important;
}
.cta-button {
  padding-right: 0 !important;
}
.cta-button a {
  background: var(--dark-blue);
  color: #fff !important;
  display: block;
  padding: 10px 20px;
  border-radius: 100px;
}
.banner-wrapper {
  background: linear-gradient(to top, rgba(0, 0, 0, 0.5) 0%, rgba(0, 0, 0, 0) 100%), url("images/banner-bg.webp") no-repeat;
  background-size: cover;
  /*background-position-y: bottom;*/
	background-position-y: -150px;
	background-position-x: center;
	background-color: #000;
  color: #fff;
  padding-top: 410px;
  padding-bottom: 50px;
}
.banner-content {
  width: 100%;
	text-align: center;
}
.banner-holder h2 {
  font-size: 40px;
  font-weight: 700;
  line-height: 40px;
  margin-bottom: 10px;
  color: #fff;
}
.banner-holder h3 {
  font-size: 19px;
  line-height: 22px;
  margin-bottom: 10px;
}
.banner-location {
  background: url("images/icon-location.svg") no-repeat;
  background-position-y: 2px;
  padding-left: 22px;
	display: inline;
}
.banner-cta {
  display: block;
  margin-top: 20px;
}
.banner-cta a {
  background: #fff;
  color: var(--dark-blue) !important;
  text-decoration: none;
  padding: 10px 20px;
  border-radius: 100px;
  margin-top: 30px;
  font-size: 24px;
  font-weight: 700;
}
.about-wrapper {
  background: url("images/about-bg.webp") no-repeat;
  background-size: cover;
  background-position-y: bottom;
}
.about-holder {
  padding: 50px 0;
	padding-bottom: 0;
}
.about-holder h1 {
  font-size: 70px;
  font-weight: 600;
  color: var(--dark-blue);
}
.about-content {
  display: flex;
}
.about-copy {
  order: 1;
  width: 60%;
}
.about-image {
  order: 2;
  width: 40%
}
.about-image img {
  width: 100%;
}
.feature-title {
  font-weight: 700;
  margin-bottom: 5px;
}
.walkthrough-holder {
  padding: 50px 0;
}
.video-wrapper {
  position: relative;
  width: 100%; /* adjust */
  max-width: 100%;
  cursor: pointer;
  overflow: hidden;
}
.video-wrapper iframe {
	width: 100%;
	aspect-ratio: 16 / 9;
}
/* Thumbnail image */
.thumbnail {
  width: 100%;
  display: block;
}
/* Black tint overlay */
.overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.45);
  pointer-events: none;
  transition: 0.3s ease;
}
/* Play button IMAGE */
.play-btn {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 80px; /* adjust size */
  height: 80px;
  z-index: 2;
}
.play-btn img {
  width: 100%;
  height: 100%;
}
.video-wrapper video {
  display: none;
  width: 100%;
}
.amenities-card {
  width: 100%;
  position: relative;
}
.amenities-card img {
  width: 100%;
  height: 400px;
  object-fit: cover;
}
.amenities-title {
  position: absolute;
  bottom: 0;
  background: linear-gradient(to top, rgba(0, 0, 0, 0.8), rgba(0, 0, 0, 0));
  width: 100%;
  height: 50%;
  color: #fff;
}
.amenities-title .text {
  position: absolute;
  bottom: 15px;
  width: 100%;
  padding: 0 15px;
}
.gallery-wrapper {
  background: url("images/about-bg.jpg") no-repeat;
  background-size: cover;
  background-position-y: bottom;
}
.gallery-holder {
  padding: 50px 0;
}
.gallery-content {
  display: flex;
}
.gallery-copy {
  order: 1;
  width: 60%;
}
.gallery-image {
  order: 2;
  width: 40%
}
.gallery-image img {
  width: 100%;
}

.grid-container {
  display: grid;
  grid-template-columns: 25% 75%; /* Left column + Right column */
  gap: 20px;
	padding: 50px 0;
}

/* Left column stacking */
.floorplan-holder .box1, .floorplan-holder  .box2 {
  grid-column: 1;
}

.floorplan-holder .box3 {
  grid-column: 2;
  grid-row: 1 / span 2; /* Take full height of 3 rows */
}

/* Basic styling */
.floorplan-holder .box {

}


.fp-tabs {
	display: flex;
	flex-direction: column;
}
.fp-tabs li {
	padding: 15px 0;
	cursor: pointer;
	display: block;
	border-bottom: 1px solid #888;
	font-size: 18px;
	color: #888;
	background: url("images/rgt-arrow-grey.svg") no-repeat;
	background-position: right;
}



.fp-tabs li.active {
	background: url("images/rgt-arrow-blue.svg") no-repeat;
	background-position: right;
	border-bottom: 1px solid var(--dark-blue);
	color: var(--dark-blue);
}

.download-but {
	background-color: var(--dark-blue);
	background-image: url("images/download-icon.svg");
	background-repeat: no-repeat;
	background-size: 30px;
	background-position: 20px center;
	font-size: 16px;
	color: #fff;
	text-decoration: none;
	padding: 10px 20px;
	padding-left: 60px;
	border-radius: 50px;
}

.mp-div img {
	width: 100%;
}


.tab-content {
        display: none;
        padding: 20px;
        background: #fafafa;
        border: 1px solid #ddd;
        border-top: none;
    }

    .tab-content.active {
        display: block;
    }

.location-wrapper {
	background: #F3F3F3;
	padding: 50px 0;
}


  .pan-container {
    width: 100%;       /* responsive */
    aspect-ratio: 16/6;
    overflow: hidden;
    background: #F3F3F3;
	  border: 1px solid #000;
    touch-action: none; /* allow touch-drag */
    cursor: grab;
    position: relative;
  }

  /* The image to pan */
  .pan-image {
    position: absolute;
    top: 0;
    left: 0;
    user-select: none;
    -webkit-user-drag: none;
    width: 150%;      /* make sure it’s larger than the box */
    min-height: 150%;
    height: auto;
    cursor: inherit;
  }

  /* Overlay text */
  .overlay-text {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    color: #fff;
    font-family: system-ui, sans-serif;
    font-size: 1.4rem;
    font-weight: 600;
    background: rgba(0,0,0,0.45);
    padding: 10px 20px;
    border-radius: 8px;
    pointer-events: none;   /* let drag events pass through */
    transition: opacity 0.4s ease;
  }
  .overlay-text.hidden {
    opacity: 0;
  }

.faq-wrapper {
	padding: 50px 0;
}


.faq-item {
        background: #fff;
        margin-bottom: 10px;
        border-radius: 6px;
        border: 1px solid #ddd;
        overflow: hidden;
    }

    .faq-question {
        padding: 15px 20px;
        cursor: pointer;
        font-size: 16px;
        font-weight: 600;
        position: relative;
		padding-right: 30px;
    }

    .faq-question:after {
        content: "+";
        font-size: 22px;
		font-weight: 400;
        position: absolute;
        right: 20px;
        top: 10px;
        transition: 0.3s;
    }

    .faq-item.active .faq-question:after {
        content: "-";
    }

    .faq-answer {
        background: #fafafa;
        max-height: 0;
        overflow: hidden;
        padding: 0 20px;
        transition: max-height 0.35s ease;
    }

    .faq-answer p {
        padding: 15px 0;
        margin: 0;
    }

.footer-wrapper {
	background: var(--dark-blue);
	padding: 20px 0;
}
.footer-holder {
	color: #fff;
	font-size: 11px !important;
	text-align: center;
}


.lightbox-overlay {
        position: fixed;
        left: 0;
        top: 0;
        width: 100%;
        height: 100%;
        background: rgba(0,0,0,0.7);
        display: none;
        justify-content: center;
        align-items: center;
        z-index: 9999;
        padding: 20px;
    }

    /* Popup box */
    .lightbox-box {
        background: #fff;
        width: 90%;
        max-width: 500px;
        padding: 25px;
        border-radius: 10px;
        position: relative;
        animation: fadeIn 0.3s ease;
    }

    /* Close button */
    /*.close-lightbox {
        position: absolute;
        right: 15px;
        top: 10px;
        font-size: 22px;
        cursor: pointer;
        font-weight: bold;
    }*/

    @keyframes fadeIn {
        from { opacity: 0; transform: scale(0.95); }
        to   { opacity: 1; transform: scale(1); }
    }


/* Modal Content */
.modal-content {
  background-color: #fefefe;
  margin: auto;

}

.modal-content h1{font-size: 32px;color: #1D417F;text-transform: math-auto;font-weight: 600;margin: 0}
.modal-content p{font-size: 16px;color: #1D417F;/* text-transform: uppercase; */font-weight: 400;margin: 0}
.modal-content input{ font-size: 16px; color: #000;  font-weight: 400; border: 1px solid #000; border-radius: 10px; padding: 10px; margin: 10px 0; width: 100%; box-sizing: border-box}

.modal-content .form-btn{ display: flex; gap:10px }
.modal-content .submit{font-size: 16px;background: #1D417F;color: #fff;text-align: center;/* text-transform: uppercase ; */font-weight: 400;border-radius: 100px;padding: 10px 20px;margin: 10px 0;width: 100%;cursor: pointer}
.modal-content
.close-lightbox{font-size: 16px;background: #fff; text-decoration: none; color: #1D417F;text-align: center;/* text-transform: uppercase ; */font-weight: 400;border: 1px solid #000;border-radius: 100px;padding: 10px 20px;margin: 10px 0;width: 100%; cursor: pointer; display: block;}


.hamburger {
        display: none;
        width: 30px;
        height: 22px;
        position: relative;
        cursor: pointer;
        transition: 0.3s ease;
    }

    .hamburger span {
        position: absolute;
        width: 100%;
        height: 3px;
        background: #333;
        transition: 0.4s ease;
        left: 0;
    }

    .hamburger span:nth-child(1) {
        top: 0;
    }

    .hamburger span:nth-child(2) {
        top: 9px;
    }

    .hamburger span:nth-child(3) {
        top: 18px;
    }

    /* HAMBURGER ANIMATION (turns into X) */
    .hamburger.active span:nth-child(1) {
        transform: rotate(45deg);
        top: 9px;
    }

    .hamburger.active span:nth-child(2) {
        opacity: 0;
    }

    .hamburger.active span:nth-child(3) {
        transform: rotate(-45deg);
        top: 9px;
    }





/* ----- Mobile Responsive ----- */
@media (max-width: 768px) {
  .card {
    min-width: 160px;
    height: 230px;
    margin: 0 10px;
  }
  .card-text {
    font-size: 15px;
    bottom: 12px;
    left: 12px;
    right: 12px;
  }
  .arrow-btn {
    width: 40px;
    height: 40px;
    font-size: 18px;
  }
	
	.grid-container {
    grid-template-columns: 100%; /* Single column */
  }

  /* Control mobile order */
  .floorplan-holder .box1 { order: 1; }
  .floorplan-holder .box2 { order: 3; text-align: center; }
  .floorplan-holder .box3 { order: 2; }

  /* Reset spanning */
  .floorplan-holder .box3 {
    grid-row: auto;
    grid-column: auto;
	  margin-bottom: 30px;
  }
	
	.hamburger {
            display: block;
        }
	.nav-holder.active {
            display: flex;
		height: auto;
        }
	
	.nav-holder {
            position: absolute;
            top: 65px;
            left: 0;
            width: 100%;
            background: #fff;
            flex-direction: column;
            padding: 15px 20px;
            gap: 15px;
            display: none;
            border-bottom: 1px solid #ddd;
			height: 0;
            overflow: hidden;
            transition: height 0.4s ease;
        }
	.nav-holder ul {
		flex-direction: column;
		align-items: flex-start;
		width: 100%;
	}
	.nav-holder ul li {
		width: 100%;
		border: none;
		border-bottom: 1px solid #000;
		padding: 10px 0;
		
	}
	.cta-button {
		text-align: center;
	}
	
	.banner-wrapper {
		padding-top: 400px;
	}
	.banner-content {
		width: 100%;
	}
	.banner-holder h2 {
		font-size: 30px;
	}
	.banner-holder h3 {
		font-size: 16px;
		font-weight: 500;
	}
	.banner-location {
		font-size: 12px;
	}
	.about-content {
		flex-direction: column;
	}
	.about-copy {
		width: 100%;
		order: 2;
	}
	.about-image {
		width: 100%;
		order: 1;
	}
	.about-holder h1 {
		font-size: 50px;;
	}
	h2 {
		font-size: 40px;
	}
	.gallery-content {
		flex-direction: column;
	}
	.gallery-copy, .gallery-image {
		width: 100%;
	}
	.gallery-copy {
		order: 2;
	}
	.gallery-image {
		order: 1;
	}
	.fp-tabs {
		flex-direction: row;
		gap: 30px;
	}
	.fp-tabs li {
		font-size: 16px;
		background: none;
		padding: 10px 0;
		border: none;
	}
	.fp-tabs li.active {
		background: none;
		border-bottom: 3px solid var(--dark-blue);
	}
	.pan-container {
		aspect-ratio: 1 / 1;
	}
	.pan-image {
		width: 400%;
		min-height: auto;
	}
	.overlay-text {
		font-size: 1rem;
	}
}


.error {
    color: red;
    font-size: 13px;
    margin-top: 4px;
	text-align: left;
}


.banner-form {
	margin-top: 20px;
}
.banner-form .modal-content {
	border-radius: 20px;
	padding: 20px;
}
.banner-form .modal-content .close-lightbox {
	display: none;
}
.banner-form form {
	display: flex;
	column-gap: 10px;
}
.field-holder {
	flex: 1 1 0;
	min-width: 0;
}
.banner-form .modal-content p {
	text-align: left;
}
.banner-form .modal-content h1 {
	text-align: left;
}

@media (max-width: 768px) {
	.banner-form form {
		flex-direction: column;
	
	}
	
	.banner-location {
		padding: 5px 0;
		padding-left: 22px;
}
	
	
}

















